Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Interconnect
    • Overview
    • Operation overview
    • Terminology
    • Points of presence
    • Transceivers
    • Trunk
    • Private connection
    • Public connection
    • CIC partners
    • Monitoring
    • Data size and connection capacity
    • Quotas and limits
  • Pricing policy
  • Access management
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListOperations
  • Release notes

In this article:

  • gRPC request
  • ListTrunkConnectionsRequest
  • ListTrunkConnectionsResponse
  • TrunkConnection
  • SinglePortDirectJoint
  • LagDirectJoint
  • LagAllocationSettings
  • LagInfo
  • PartnerJointInfo
  1. API reference
  2. gRPC
  3. TrunkConnection
  4. List

Cloud Interconnect API, gRPC: TrunkConnectionService.List

Written by
Yandex Cloud
Improved by
Tania L.
Updated at April 24, 2025
  • gRPC request
  • ListTrunkConnectionsRequest
  • ListTrunkConnectionsResponse
  • TrunkConnection
  • SinglePortDirectJoint
  • LagDirectJoint
  • LagAllocationSettings
  • LagInfo
  • PartnerJointInfo

Retrieves the list of TrunkConnection resources in the specified folder.

gRPC requestgRPC request

rpc List (ListTrunkConnectionsRequest) returns (ListTrunkConnectionsResponse)

ListTrunkConnectionsRequestListTrunkConnectionsRequest

{
  "folder_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

folder_id

string

Required field. ID of the folder to list TrunkConnection resources.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListTrunkConnectionsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests. Default value: 100.

page_token

string

Page token. To get the next page of results, set page_token to the
ListTrunkConnectionsResponse.next_page_token returned by a previous list request.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on [Subnet.name] field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

ListTrunkConnectionsResponseListTrunkConnectionsResponse

{
  "trunk_connections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folder_id": "string",
      "region_id": "string",
      "created_at": "google.protobuf.Timestamp",
      // Includes only one of the fields `single_port_direct_joint`, `lag_direct_joint`, `partner_joint_info`
      "single_port_direct_joint": {
        "transceiver_type": "TransceiverType",
        "port_name": "google.protobuf.StringValue",
        "access_device_name": "string"
      },
      "lag_direct_joint": {
        "transceiver_type": "TransceiverType",
        "lag_allocation_settings": {
          "lag_info": {
            "lag_id": "google.protobuf.Int64Value",
            "port_names": [
              "string"
            ]
          }
        },
        "access_device_name": "string"
      },
      "partner_joint_info": {
        "service_key": "string",
        "partner_id": "google.protobuf.StringValue"
      },
      // end of the list of possible fields
      "point_of_presence_id": "google.protobuf.StringValue",
      "capacity": "Capacity",
      "labels": "map<string, string>",
      "status": "Status",
      "deletion_protection": "bool"
    }
  ],
  "next_page_token": "string"
}

Field

Description

trunk_connections[]

TrunkConnection

List of TrunkConnection resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListTrunkConnectionsRequest.page_size, use
the next_page_token as the value
for the ListTrunkConnectionsRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

TrunkConnectionTrunkConnection

A TrunkConnection resource.

Field

Description

id

string

ID of the trunkConnection.

name

string

Name of the trunkConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Optional description of the trunkConnection. 0-256 characters long.

folder_id

string

ID of the folder that the trunkConnection belongs to.

region_id

string

ID of the region that the trunkConnection belongs to.

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

single_port_direct_joint

SinglePortDirectJoint

Includes only one of the fields single_port_direct_joint, lag_direct_joint, partner_joint_info.

Special trunkConnection config

lag_direct_joint

LagDirectJoint

Includes only one of the fields single_port_direct_joint, lag_direct_joint, partner_joint_info.

Special trunkConnection config

partner_joint_info

PartnerJointInfo

Includes only one of the fields single_port_direct_joint, lag_direct_joint, partner_joint_info.

Special trunkConnection config

point_of_presence_id

google.protobuf.StringValue

ID of pointOfPresence that the trunkConnection is deployed on.
Optional.
If is not set scheduler selects it by himself.

capacity

enum Capacity

Capacity of the trunkConnection

  • CAPACITY_UNSPECIFIED
  • CAPACITY_50_MBPS
  • CAPACITY_100_MBPS
  • CAPACITY_200_MBPS
  • CAPACITY_300_MBPS
  • CAPACITY_400_MBPS
  • CAPACITY_500_MBPS
  • CAPACITY_1_GBPS
  • CAPACITY_2_GBPS
  • CAPACITY_3_GBPS
  • CAPACITY_4_GBPS
  • CAPACITY_5_GBPS
  • CAPACITY_10_GBPS
  • CAPACITY_20_GBPS
  • CAPACITY_30_GBPS
  • CAPACITY_40_GBPS
  • CAPACITY_50_GBPS
  • CAPACITY_100_GBPS
  • CAPACITY_200_GBPS

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum Status

Status of the trunkConnection.

  • STATUS_UNSPECIFIED
  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

deletion_protection

bool

Optional deletion protection flag.
If set prohibits deletion of the trunkConnection.

SinglePortDirectJointSinglePortDirectJoint

Config of trunkConnection that is deployed on single port.

Field

Description

transceiver_type

enum TransceiverType

Type of transceiver that the trunkConnection is deployed on.

  • TRANSCEIVER_TYPE_UNSPECIFIED
  • TRANSCEIVER_TYPE_1000BASE_LX
  • TRANSCEIVER_TYPE_10GBASE_LR
  • TRANSCEIVER_TYPE_10GBASE_ER
  • TRANSCEIVER_TYPE_100GBASE_LR4
  • TRANSCEIVER_TYPE_100GBASE_ER4

port_name

google.protobuf.StringValue

Name of port that the trunkConnection is deployed on.

access_device_name

string

Device name which is set in LLDP message.

LagDirectJointLagDirectJoint

Config of trunkConnection that is deployed on lag.

Field

Description

transceiver_type

enum TransceiverType

Type of transceiver that the trunkConnection is deployed on.

  • TRANSCEIVER_TYPE_UNSPECIFIED
  • TRANSCEIVER_TYPE_1000BASE_LX
  • TRANSCEIVER_TYPE_10GBASE_LR
  • TRANSCEIVER_TYPE_10GBASE_ER
  • TRANSCEIVER_TYPE_100GBASE_LR4
  • TRANSCEIVER_TYPE_100GBASE_ER4

lag_allocation_settings

LagAllocationSettings

LAG allocation settings that the trunkConnection is deployed on.

access_device_name

string

Device name which is set in LLDP message.

LagAllocationSettingsLagAllocationSettings

Structure that describes LAG allocation settings

Field

Description

lag_info

LagInfo

LagInfo

LagInfoLagInfo

Field

Description

lag_id

google.protobuf.Int64Value

ID of LAG.
Optional.
If is not set scheduler selects it by himself.

port_names[]

string

List of port names that the LAG is deployed on.

PartnerJointInfoPartnerJointInfo

Config of trunkConnection that is deployed on partner joint.

Field

Description

service_key

string

Reserved for future using;

partner_id

google.protobuf.StringValue

ID of partner that the trunkConnection is deployed on.
Optional.
If is not set scheduler selects it by himself.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.